; PSPad code template for JobMgr Cmd-Scripte
; Author: 22.11.2015 / J.Fes
; L.Up..: 24.11.2015 20:29:24 / J.fes
; L.Up..: 06.07.2016 12:21:42 / J.fes
; L.Up..: 06.07.2016 12:21:42 / J.fes


[01 JobMgr Debug | add JobMgrScript '%JobMgr_Debug% condition' block  ]
if /i "%JobMgr_Debug%" neq "ON" goto :JumbOverDebug
 REM set toRun=%toRun% -verbose -pauseOnEnd
 set toRunForPrint=%toRun:"='%
 call Echo "---------------------------------------------------------------------------"
 call Echo "#Debug..........................: #Desctription (%~0)"
 call Echo "#toRun..........................: %toRunForPrint%"
 pause
:JumbOverDebug

[02 JobMgr_Debug=ON | add JobMgr_Debug=ON ]
set JobMgr_Debug=ON

[03 JobMgr_Test | add JobMgrScript '%JobMgr_Test% condition' block ]
if /i "%JobMgr_Test%" neq "ON" goto :JumbOverTest
 REM set toRun=%toRun% -verbose -pauseOnEnd
 set toRunForPrint=%toRun:"='%
 call Echo "---------------------------------------------------------------------------"
 call Echo "#Test..........................: #Desctription (%~0)"
 call Echo "#toRun.........................: %toRunForPrint%"
 pause
:JumbOverTest

[04 JobMgr_Test=ON | add JobMgr_Test=ON ]
set JobMgr_Test=ON

[05 CmdCurRoot_DP | add set CmdCurRoot_DP=%~dp0 block ]
set CmdCurRoot_DP=%~dp0
set CmdCurRoot_DP=%CmdCurRoot_DP:~0,-1%

[10 Insert| Date Time Stamp]
%Date % %time:~0,5%

[11 Insert| REM -- #New ]
REM -- #New:#Replace with ALT+D# /J.Fes S.Gueth

[12 Insert| REM -- #Doc ]
REM -- #Doc:#Replace with ALT+D# /J.Fes S.Gueth

[13 Insert| REM -- #LUp ]
REM -- #LUp:#Replace with ALT+D# /J.Fes S.Gueth

[20 Call Echo | Description - Variable]
Call Echo "#Description....................: %Variable%"

[21 Call Echo | ----------- Trennlinie1 ----------]
 Call Echo "----------------------------------------------------------------------------"

[22 Call Echo | ----  ----  Trennlinie2 ----  ----]
 Call Echo "----  ----  ----  ----  ----  ----  ----  ----  ----  ----  ----  ----  ----"
